edu.sc.seis.sod

## Class AbstractWaveformRecipe

- java.lang.Object
- - edu.sc.seis.sod.AbstractWaveformRecipe

- Direct Known Subclasses:
    LocalSeismogramArm, MotionVectorArm

      public abstract class AbstractWaveformRecipe
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SeismogramSourceLocator` | `dcLocator`
    `protected static AvailableDataSubsetter` | `defaultAvailableDataSubsetter`
    `protected EventStationSubsetter` | `eventStation`
    `static java.lang.String[]` | `PACKAGES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractWaveformRecipe()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `add(WaveformProcess proc)`
    `void` | `addStatusMonitor(WaveformMonitor monitor)`
    `EventStationSubsetter` | `getEventStationSubsetter()`
    `protected abstract void` | `handle(org.w3c.dom.Element el)`
    `protected void` | `processConfig(org.w3c.dom.Element config)`
    `void` | `setStatus(CookieEventPair ecp)`
    `void` | `setStatus(EventNetworkPair ecp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGES

          public static final java.lang.String[] PACKAGES

    - #### eventStation

          protected EventStationSubsetter eventStation

    - #### dcLocator

          protected SeismogramSourceLocator dcLocator

    - #### defaultAvailableDataSubsetter

          protected static final AvailableDataSubsetter defaultAvailableDataSubsetter

  - ### Constructor Detail

    - #### AbstractWaveformRecipe

          public AbstractWaveformRecipe()

  - ### Method Detail

    - #### addStatusMonitor

          public void addStatusMonitor(WaveformMonitor monitor)

    - #### handle

          protected abstract void handle(org.w3c.dom.Element el)
                                  throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### processConfig

          protected void processConfig(org.w3c.dom.Element config)
                                throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### setStatus

          public void setStatus(CookieEventPair ecp)

    - #### setStatus

          public void setStatus(EventNetworkPair ecp)

    - #### getEventStationSubsetter

          public EventStationSubsetter getEventStationSubsetter()

    - #### add

          public abstract void add(WaveformProcess proc)